Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.tracking.tags
Class ProductEventTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.bea.commerce.ebusiness.tracking.tags.ProductEventTag

All Implemented Interfaces:
  IterationTag, Serializable, Tag

Direct Known Subclasses:
  DisplayProductEventTag

public class ProductEventTag
extends TagSupport

The tag handler of the behavior tracking tag display. This tag is a base tag that will be used by other XXXXProductTags and only validates information that is common to the latter.

See Also:
  Serialized Form

Field Summary
`protected String` | `applicationName`
`protected String` | `categoryId`
`protected String` | `documentId`
`protected String` | `documentType`
`protected String` | `sessionId`
`protected String` | `sku`
`protected String` | `userId`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ProductEventTag()`

Method Summary
`int` | `doStartTag()` Implement the StartTag callback.
`String` | `getApplicationName()` Get the applicationName
`String` | `getCategoryId()` Get the categoryId
`String` | `getDocumentId()` Get the documentId
`String` | `getDocumentType()` Get the documentType
`String` | `getSku()` Get the Sku
`protected void` | `log(int logLevel, String message)`
`void` | `release()`
`void` | `setApplicationName(String theApplicationName)` Set the applicationName
`void` | `setCategoryId(Category theCategory)` Set the categoryId using a Category
`void` | `setCategoryId(String theCategoryId)` Set the categoryId
`void` | `setDocumentId(String theDocumentId)` Set the documentId
`void` | `setDocumentType(String theDocumentType)` Set the documentType
`void` | `setSku(ProductItem theProduct)` Set the sku using a ProductItem
`void` | `setSku(String theSku)` Set the sku
`protected void` | `throwException(String message)`
`protected void` | `throwException(String message, Object messageObject)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### applicationName

    protected String applicationName

### categoryId

    protected String categoryId

### documentId

    protected String documentId

### documentType

    protected String documentType

### sessionId

    protected String sessionId

### sku

    protected String sku

### userId

    protected String userId

Constructor Detail

### ProductEventTag

    public ProductEventTag()

Method Detail

### doStartTag

    public int doStartTag()
                   throws JspTagException

  Implement the StartTag callback. This only does some validation common to tags of this type.

  Throws:
    `JspTagException`

### getApplicationName

    public String getApplicationName()

  Get the applicationName

  Returns:
    String the applicationName

### getCategoryId

    public String getCategoryId()

  Get the categoryId

  Returns:
    String the categoryId

### getDocumentId

    public String getDocumentId()

  Get the documentId

  Returns:
    String the documentId

### getDocumentType

    public String getDocumentType()

  Get the documentType

  Returns:
    String the documentType

### getSku

    public String getSku()

  Get the Sku

  Returns:
    String the sku

### log

    protected void log(int logLevel,
                       String message)

### release

    public void release()

### setApplicationName

    public void setApplicationName(String theApplicationName)

  Set the applicationName

  Parameters:
    `theApplicationName` - applicationName to set to

### setCategoryId

    public void setCategoryId(Category theCategory)

  Set the categoryId using a Category

  Parameters:
    `theCategory` - Category used to get categoryId

### setCategoryId

    public void setCategoryId(String theCategoryId)

  Set the categoryId

  Parameters:
    `theCategoryId` - categoryId to set to

### setDocumentId

    public void setDocumentId(String theDocumentId)

  Set the documentId

  Parameters:
    `theDocumentId` - documentId to set to

### setDocumentType

    public void setDocumentType(String theDocumentType)

  Set the documentType

  Parameters:
    `theDocumentType` - documentType to set to

### setSku

    public void setSku(ProductItem theProduct)

  Set the sku using a ProductItem

  Parameters:
    `theProduct` - ProductItem used to get sku

### setSku

    public void setSku(String theSku)

  Set the sku

  Parameters:
    `theSku` - sku to set to

### throwException

    protected void throwException(String message)
                           throws JspTagException

  Throws:
    `JspTagException`

### throwException

    protected void throwException(String message,
                                  Object messageObject)
                           throws JspTagException

  Throws:
    `JspTagException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved